Apache Tomcat 6.0.51

## org.apache.catalina.mbeans
Class JmxRemoteLifecycleListener.RmiServerBindSocketFactory

    java.lang.Object
      org.apache.catalina.mbeans.JmxRemoteLifecycleListener.RmiServerBindSocketFactory

All Implemented Interfaces:
  java.rmi.server.RMIServerSocketFactory

Enclosing class:
  JmxRemoteLifecycleListener

    public static class JmxRemoteLifecycleListener.RmiServerBindSocketFactory

extends java.lang.Object
implements java.rmi.server.RMIServerSocketFactory

Constructor Summary
`JmxRemoteLifecycleListener.RmiServerBindSocketFactory(java.lang.String address)`

Method Summary
`java.net.ServerSocket` | `createServerSocket(int port)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxRemoteLifecycleListener.RmiServerBindSocketFactory

    public JmxRemoteLifecycleListener.RmiServerBindSocketFactory(java.lang.String address)

Method Detail

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.